// 正则表达式集合
module.exports = {
  Domain: /\w+([-.]\\w+)*\.\w+([-.]\w+)*$/,
  Ip: /^(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])(\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])){3}$/,
  Email: /^\w+([-+.]\w+)*@\w+([-.]\\w+)*\.\w+([-.]\w+)*$/,
  Phone: /^((\(\d{3}\))|(\d{3}\-))?(\(0\d{2,3}\)|0\d{2,3}-)?[1-9]\d{6,7}$/,
  Mobile: /^((\(\d{3}\))|(\d{3}\-))?13\d{9}$/,
  Url: /^http:\/\/[A-Za-z0-9]+\.[A-Za-z0-9]+[\/=\?%\-&_~`@[\]\':+!]*([^<>\"\"])*$/,
  // 身份证
  IdCard: /^(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])(\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])){3}$/,
  Currency: /^\d+(\.\d+)?$/,
  Number: /^\d+$/,
  Code: /^[1-9]\d{5}$/,
  QQ: /^[1-9]\d{4,8}$/,
  Integer: /^[-\+]?\d+$/,
  Double: /^[-\+]?\d+(\.\d+)?$/,
  Triple: /^[-\+]?\d+(\.\d+)?$/,
  English: /^[A-Za-z]+$/,
  Chinese: /^[\u0391-\uFFE5]+$/,
  UnSafe: /^(([A-Z]*|[a-z]*|\d*|[-_\~!@#\$%\^&\*\.\(\)\[\]\{\}<>\?\\\/\'\"]*)|.{0,5})$|\s/,
  PassWord: /^[\\w]{6,12}$/,
  ZipCode: /^[\\d]{6}$/,
  Telphone: /^(\+\d+ )?(\(\d+\) )?[\d ]+$/, // 这个是国际通用的电话号码判断
  Age: /^(1[0-2]\d|\d{1,2})$/, // 这个是年龄的判断
  Money: /^\d+\.\d{2}$/, // 这个是判断输入的是否为货币值
};
