// 既然是加密，那肯定是不希望别人知道我的消息，所以只有我才能解密，所以可得出公钥负责加密，私钥负责解密；同理，既然是签名，那肯定是不希望有人冒充我发消息，只有我才能发布这个签名，所以可得出私钥负责签名，公钥负责验证。

const NodeRSA = require("node-rsa");
// 加密数据
exports.encrypt = function (data, rsaData) {
  const key = new NodeRSA(rsaData);
  return key.encrypt(JSON.stringify(data), "base64");
};

// 解密数据
exports.decrypt = function (decrypted, rsaData) {
  const key = new NodeRSA(rsaData);
  try {
    const decrypted = key.decrypt(encrypted, "utf8");
    return JSON.parse(decrypted);
  } catch (e) {
    return {};
  }
};

// 生成私钥
exports.private = function () {
  let key = new NodeRSA({ b: 512 });
  let privateKey = key.exportKey("private");
  let publicKey = key.exportKey("public");
  return {
    public: publicKey,
    private: privateKey,
  };
};
