// 执行shell脚本 脚本内容 存储在平台数据库中
// cwd <string> 子进程的当前工作目录。
// env <Object> 环境变量键值对。
// argv0 <string> 显式地设置要发给子进程的 argv[0] 的值。 如果未指定，则设为 command。
// stdio <Array> | <string> 子进程的 stdio 配置。 （详见 options.stdio）
// detached <boolean> 准备将子进程独立于父进程运行。 具体行为取决于平台。（详见 options.detached）
// uid <number> 设置该进程的用户标识。（详见 setuid(2)）
// gid <number> 设置该进程的组标识。（详见 setgid(2)）
// shell

const { spawn } = require("child_process");
const debug = require("debug")("shell");

exports.exec = function ({ command, params, options }) {
  return new Promise((resolve) => {
    let stdout = "";
    let stderr = "";
    const spw = spawn(command, params, {
      // cwd: SHELLSPACE,
      ...options,
      shell: true,
      windowsHide: true,
    });
    spw.on("close", (code) => {
      resolve({
        code,
        data: {
          stdout,
          stderr,
        },
      });
    });
    spw.stdout.on("data", (data) => {
      stdout += data;
      debug(`${data}`);
    });
    spw.stderr.on("data", (data) => {
      stdout += data;
      stderr += data;
      debug(`${data}`);
    });
  });
};
